{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}
{% load bootstrap %}

{% block title %}
    {{ block.super }} New
{% endblock %}

{% block content %}
    {% if message %}
        <div>
            <small>
                {{ message|linebreaks }}
            </small>
        </div>
    {% endif %}

    {% if messages %}
        <p>
        <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message|safe }}</li>
            {% endfor %}
        </ul>
        </p>
    {% endif %}

    <div>
        Conférences, rencontres et colloques - Annonces
        <ul>
            <li><span style="font-weight:bolder;background-color:#ffff33;">
                Les annonces saisies sont consultables immédiatement en ligne, et au bout de 24 heures sur le portail des Maths.
            </span>
            </li>
            <li>Pour passer une annonce, sélectionnez votre institution (laboratoire).</li>
            <li>Si votre institution n'est pas disponible, contactez : <a href="mailto:support@math.cnrs.fr">PLM/Mathrice</a>.
            </li>
            <li>Les dates doivent être au format jour/mois/année hh:mm</li>
        </ul>

    </div>

    {% if form.errors %}
        <p style="color: red;">
            Please correct the error{{ form.errors|safe|pluralize }} below.
        </p>
    {% endif %}

    <form action="" method="POST" role="form">
        <legend>Nouvelle Annonce</legend>
        {% csrf_token %}
        {{ form|bootstrap }}
        <div class="form-group">
            <button type="submit" class="btn btn-primary">Submit</button>
        </div>
    </form>


    {% if message %}
        <div>
            <small>
                {{ message|linebreaks }}
            </small>
        </div>
    {% endif %}

{% endblock %}

{% block css %}
    {{ block.super }}
    <link rel="stylesheet" href="{% static 'css/jquery-ui/smoothness/jquery-ui.css' %}"/>
    <link rel="stylesheet" href="{% static 'css/select2.min.css' %}"/>
{% endblock %}

{% block controleur_js %}
    {{ block.super }}
    <script src="{% static 'js/jquery-ui.js' %}"></script>
    <script src="{% static 'js/select2.min.js' %}"></script>

    <script type="text/javascript">
        $('.js-example-basic-single').select2({
            placeholder: "Select an organization"
        });
{% comment %}
        $(function () {
            $("#id_dstart").datepicker();
        });
        $(function () {
            $("#id_dend").datepicker();
        });
        $(function () {
            $("#id_tstart").timepicker();
        });
        $(function () {
            $("#id_tend").timepicker();
        });
{% endcomment %}

    </script>



{% endblock %}

